Download it now!
Bug 105545 - EDITING delete third point from Bézier curve deletes entire curve
Summary: EDITING delete third point from Bézier curve deletes entire curve
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-26 15:16 UTC by Regina Henschel
Modified: 2017-06-09 19:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ClosedBezierFromTwoPoints (10.40 KB, application/vnd.oasis.opendocument.graphics)
2017-01-26 15:16 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-01-26 15:16:02 UTC
Created attachment 130702 [details]
ClosedBezierFromTwoPoints

Open attached document. It contains a closed Bézier curve, which was generated using the UI.
Switch to point edit mode. Notice, that the curve has two points with symmetric control points.
Add a point to the curve.
You might want to unselect the object, save and reload the file. It does not matter. 
Select the object, select the point.
Delete the point by clicking the "delete" icon in the "Edit point" toolbar.

Error: The entire object is deleted.

Expected behavior: Only the selected point is deleted.

Problem: You can generate the basic Bézier curve, having two points, only, if you create it from scratch.

I see the error already in OOo2.4, OOo1.1.5 is OK.
Comment 1 Buovjaga 2017-02-02 19:22:13 UTC
Reproduced.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: b12823aa81003e80372bd89db79bd6ba8e032a95
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 1st 2016
Comment 2 Commit Notification 2017-04-06 23:16:02 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c10aaf94a9054e48ddd1112c84876eecd3dec726

tdf#105545 Allow closed paths having 2 points

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-06-09 10:00:38 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 4 Regina Henschel 2017-06-09 18:03:40 UTC
I thought someone else than the developer should test, whether it is fixed?
Comment 5 Xisco Faulí 2017-06-09 18:05:39 UTC
Nop, it's the developer who close his/her own bugs when they think it's fixed and it's set to verify/reopen by a third person
Comment 6 Regina Henschel 2017-06-09 18:12:36 UTC
Fixed in Version: 5.4.0.0.alpha1+
Build ID: 8c0be54a7da6262dffe04357121814dd22b5d7fe
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-15_01:35:45
Locale: de-DE (de_DE); Calc: group
Comment 7 Buovjaga 2017-06-09 19:12:43 UTC
Verified fix.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: e78d128e3b7bf45990d1f7b27123ccd616665f93
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 9th 2017